#import "Circle.h"

@implementation Circle

- (id)init
{
	return [self initWithRadius:0.0f x:0.0f y:0.0f];
}

- (id)initWithRadius:(float)inRadius x:(float)inX y:(float)inY
{
	self = [super init];
	if (self != nil)
	{
		mX = inX;
		mY = inY;
		mRadius = inRadius;
	}
	return self;
}

- (float)surface
{
	return M_PI * mRadius * mRadius;
}

@end // Circle